package com.kmall.admin.service.impl;

import com.kmall.admin.dao.FreightItemDao;
import com.kmall.admin.entity.FreightItemEntity;
import com.kmall.admin.service.FreightItemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


/**
 * Service实现类
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2018-10-22 15:18:16
 */
@Service("freightItemService")
public class FreightItemServiceImpl implements FreightItemService {
    @Autowired
    private FreightItemDao freightItemDao;

    @Override
    public FreightItemEntity queryObject(Integer id) {
        return freightItemDao.queryObject(id);
    }

    @Override
    public List<FreightItemEntity> queryList(Map<String, Object> map) {
        return freightItemDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        return freightItemDao.queryTotal(map);
    }

    @Override
    public int save(FreightItemEntity freightItem) {
        return freightItemDao.save(freightItem);
    }

    @Override
    public int update(FreightItemEntity freightItem) {
        return freightItemDao.update(freightItem);
    }

    @Override
    public int delete(Integer id) {
        return freightItemDao.delete(id);
    }

    @Override
    public int deleteBatch(Integer[]ids) {
        return freightItemDao.deleteBatch(ids);
    }

    @Override
    public int deleteByFreId(Integer freId) {
        return freightItemDao.deleteByFreId(freId);
    }
}
